<?php

namespace App\Observers;

use App\Models\Call;

class CallObserver
{
    public function created(Call $call): void
    {
        if (!$call->isRegisteredAsLoveReactant()) {
            $call->registerAsLoveReactant();
        }
    }
}
